Bug 1349990 (CVE-2016-4999) - CVE-2016-4999 Dashbuilder: SQL Injection on data set lookup filters
Summary: CVE-2016-4999 Dashbuilder: SQL Injection on data set lookup filters
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4999
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1349971
TreeView+ depends on / blocked
 
Reported: 2016-06-24 18:28 UTC by Pavel Polischouk
Modified: 2019-09-29 13:52 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A security flaw was found in the way Dashbuilder performed SQL datasets lookup requests in the Data Set Authoring UI or the Displayer editor UI. A remote attacker could use this flaw to conduct SQL injection attacks via specially-crafted string filter parameter.
Clone Of:
Environment:
Last Closed: 2016-07-14 18:59:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1428 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.3.1 security and bug fix update 2016-07-14 21:54:50 UTC
Red Hat Product Errata RHSA-2016:1429 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.3.1 security and bug fix update 2016-07-14 21:54:43 UTC

Description Pavel Polischouk 2016-06-24 18:28:45 UTC
An SQL injection vulnerability was found in dashbuilder.

Original Jira: https://issues.jboss.org/browse/DASHBUILDE-113

Comment 1 Pavel Polischouk 2016-06-24 18:28:52 UTC
Acknowledgments:

Name: David Gutierrez (Red Hat)

Comment 3 errata-xmlrpc 2016-07-14 17:55:02 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.3.1

Via RHSA-2016:1429 https://access.redhat.com/errata/RHSA-2016:1429

Comment 4 errata-xmlrpc 2016-07-14 17:55:11 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.3.1

Via RHSA-2016:1428 https://access.redhat.com/errata/RHSA-2016:1428


Note You need to log in before you can comment on or make changes to this bug.